#include <FL/Fl.H>
#include <FL/Fl_RGB_Image.H>

class Fl_ICO_Image : public Fl_RGB_Image
{
public:

  /**
   * Loads a Windows icon file (.ico) and picks the image with the highest resolution
   * (.ico files are containers for one or more images in bitmap or PNG format)
   */
  Fl_ICO_Image(const char *filename);

};

